<#ibiztemplate>
TARGET=PSAPPDATAENTITY
</#ibiztemplate>
import UIService from '../ui-service';
import { UIActionTool } from '@/utils';
import { Subject } from 'rxjs';
<#if item.getAllPSAppDEUIActions()??>
<#list item.getAllPSAppDEUIActions() as appdeUIAction>
<#if appdeUIAction.getPSAppDataEntity()??>
<#if !P.exists("importService", appdeUIAction.getPSAppDataEntity().getId(), "")>
import ${srfclassname('${appdeUIAction.getPSAppDataEntity().getCodeName()}')}Service from '@/service/${srffilepath2(appdeUIAction.getPSAppDataEntity().getCodeName())}/${srffilepath2(appdeUIAction.getPSAppDataEntity().getCodeName())}-service';
</#if>
</#if>
</#list>
</#if>

/**
 * ${de.getLogicName()}UI服务对象基类
 *
 * @export
 * @class ${srfclassname('${item.getCodeName()}')}UIServiceBase
 */
export default class ${srfclassname('${item.getCodeName()}')}UIServiceBase extends UIService {

    /**
     * Creates an instance of  ${srfclassname('${item.getCodeName()}')}UIServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ${srfclassname('${item.getCodeName()}')}UIServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    <#if item.getAllPSAppDEUIActions()??>
    <#list item.getAllPSAppDEUIActions() as appdeUIAction>
    ${P.getLogicCode(appdeUIAction, "LOGIC.vue").code}
    </#list>
    </#if>

}